Name:           python-qtaf
Version:        5.6.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Basic test automation framework for QTA

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://qta-testbase.readthedocs.io/zh/latest/
Source:         %{pypi_source qtaf}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qtaf' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qtaf
Summary:        %{summary}

%description -n python3-qtaf %_description


%prep
%autosetup -p1 -n qtaf-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qtaf -f %{pyproject_files}


%changelog
%autochangelog